Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class ContainerClass

    java.lang.Object
      com.compoze.collab.ItemClass
          com.compoze.collab.ContainerClass

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  RootContainerClass

    public class ContainerClass

extends ItemClass
implements Serializable

Defines the class of a `Container` through an extension of `ItemClass`.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.compoze.collab.ItemClass
`m_defaultKeys, m_javaClass, m_sContainingItemClass, m_sInternalName, m_sItemClassParent`

Method Summary
`static ItemClass` | `create(com.compoze.collab.spi.Context context, String sInternalName, Key[] defaultKeys, Class javaClass, String sContainingItemClass, String sItemClassParent)`
`static ContainerClass` | `create(String sInternalName, Key[] defaultKeys, Class javaClass, ItemClass defaultItemClass, String sContainingItemClass, String sItemClassParent)` Creates an ContainerClass, given its name and properties, or returns an existing ContainerClass if one has already been created with the same name and properties.
`ItemClass` | `getDefaultItemClass()` Get the default item class for this container class.
`Key[]` | `getMinimumKeys()` Gets the minimum set of keys for this class.
`String` | `toString()`

Methods inherited from class com.compoze.collab.ItemClass
`checkForDuplicates, create, equals, getContainingItemClass, getDefaultKeys, getInternalName, getItemClassParent, getJavaClass, hashCode, isDefaultKey, isInstanceOf, lookupItemClass`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### create

    public static ContainerClass create(String sInternalName,
                                        Key[] defaultKeys,
                                        Class javaClass,
                                        ItemClass defaultItemClass,
                                        String sContainingItemClass,
                                        String sItemClassParent)
                                 throws CollaborationException

  Creates an ContainerClass, given its name and properties, or returns an existing ContainerClass if one has already been created with the same name and properties.

  Parameters
    `sInternalName` - unique internal name for this class (not `null`)
    `defaultKeys` - array of class specific default keys; `null` means none, but the minimum keys should be included in the default keys
    `javaClass` - Java class representing this class; must implement `IContainer` (not `null`)
    `defaultItemClass` - the default `ItemClass` to create in containers of this class
    `sContainingItemClass` - the internal name of the item class of containers of this item (may be `null` if the item has no logical container, such as a root container)
    `sItemClassParent` - the internal name of the parent item class that this item class extends.
  Throws
    `CollaborationException`

### getDefaultItemClass

    public ItemClass getDefaultItemClass()

  Get the default item class for this container class.

  Returns
    an ItemClass representing the default

### create

    public static ItemClass create(com.compoze.collab.spi.Context context,
                                   String sInternalName,
                                   Key[] defaultKeys,
                                   Class javaClass,
                                   String sContainingItemClass,
                                   String sItemClassParent)
                            throws CollaborationException

  Throws
    `CollaborationException`

### getMinimumKeys

    public Key[] getMinimumKeys()

  Gets the minimum set of keys for this class.

  Overrides:
    `getMinimumKeys` in class `ItemClass`
  Returns
    an array containing the minimum keys

### toString

    public String toString()

  Overrides:
    `toString` in class `ItemClass`
  Returns
    the string
  See Also
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved